﻿//DESCRIPTION:Turn off spread hiding for all spreads in the document

// Modified 2023-10-30
// Keith Gilbert, Gilbert Consulting
// www.gilbertconsulting.com

Pre();
  
function Pre () { 
	// Check to make sure at least 1 ID file is open
	if (!app.documents.length) { 
		alert("No InDesign documents are open. Please open a document and try again.");
		return;
	} 
	// Main();
	app.doScript('Main();', undefined, [], UndoModes.ENTIRE_SCRIPT,"Run Script"); // This makes the script un-doable
}  
function Main() {
	var myDoc = app.activeDocument;
	for (var i=0; i<myDoc.spreads.length; i++) {
		var mySpread = myDoc.spreads[i];
		mySpread.spreadHidden = false;
	}
	beep();
}